- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- AppStoreAppPublishState
- Try it!
Updates the publish status of an app store hosted app. The default state after calling appstoreappsreview.updateappstorehostedapp is PUBLISHED. It is not necessary to call this RPC explicitly to set an app to PUBLISHED.
HTTP request
POST https://androidpublisher.googleapis.com/androidpublisher/v3/appstore/{appStorePackageName}/apps/{packageName}:updateAppStoreHostedAppPublishStatus
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
appStorePackageName |
Required. Package name of the third-party app store. |
packageName |
Required. Package name of the app. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"publishState": enum ( |
| Fields | |
|---|---|
publishState |
Required. The new publish state for the hosted app. |
Response body
If successful, the response body is empty.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/androidpublisher
AppStoreAppPublishState
The publish state of a hosted app.
| Enums | |
|---|---|
APP_STORE_APP_PUBLISH_STATE_UNSPECIFIED |
Unspecified publish state. Do not use. |
APP_STORE_APP_PUBLISH_STATE_PUBLISHED |
The app is published and available on the third-party app store. |
APP_STORE_APP_PUBLISH_STATE_UNPUBLISHED |
The app is unpublished and no longer available on the third-party app store. |